apiVersion: apps/v1
kind: Deployment
metadata:
  name: osaa-redirector
spec:
  selector:
    matchLabels:
      app: osaa-redirector
  template:
    metadata:
      labels:
        app: osaa-redirector
    spec:
      containers:
      - name: osaa-redirector
        image: registry.gitlab.com/openspaceaarhus/public/redirector:master
        imagePullPolicy: Always
        env:
        - name: TZ
          value: Europe/Copenhagen
        resources:
          limits:
            memory: "512Mi"
            cpu: "200m"
        ports:
        - containerPort: 8080
        livenessProbe:
          httpGet:
            path: /Alive
            port: 8080
            timeout: 3
          initialDelaySeconds: 60
          periodSeconds: 15
        volumeMounts:
        - name:  config
          mountPath: /redirector/config
      volumes:
      - name: config
        configMap:
          name: osaa-redirector-configmap

---
apiVersion: v1
kind: ConfigMap
metadata:
  name: osaa-redirector-configmap
data:
  config.yaml: |
    logging:
      level: INFO
      appenders:
      - type: console
        threshold: ALL
    
    server:
      requestLog:
        type: classic
        timeZone: UTC
        appenders:
        - type: console
    
      applicationConnectors:
      - type: http
        port: 8080
    
      adminConnectors:
      - type: http
        port: 8081
    
    source: "http://osaa.dk/wiki/index.php/ShortLinks"

---
apiVersion: v1
kind: Service
metadata:
  name: osaa-redirector-svc
spec:
  selector:
    app: osaa-redirector
  ports:
  - port: 8080
    targetPort: 8080

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: osaa-redirector-ingress
  labels:
    name: osaa-redirector-ingress
spec:
  rules:
  - host: "*.osaa.dk"
    http:
      paths:
      - pathType: Prefix
        path: "/"
        backend:
          service:
            name: osaa-redirector-svc
            port: 
              number: 8080